      SUBROUTINE rejbnd(rejptr,bond,bonde)                              REJB001
      include 'sstruc.par'                                              REJB002
      integer rejptr, bond(2)                                           REJB003
      real    bonde(2)                                                  REJB004
      integer rejpl                                                     REJB005
                                                                        REJB006
      rejpl = 1                                                         REJB007
      if (bond(1).ne. rejptr) rejpl = rejpl + 1                         REJB008
      if (rejpl .eq. 1) then                                            REJB009
         bond(1) = bond(2)                                              REJB010
         bonde(1) = bonde(2)                                            REJB011
      end if                                                            REJB012
      bond(2) = 0                                                       REJB013
      bonde(2) = 0.0                                                    REJB014
      end                                                               REJB015
